"""
作者:demo
创建日期:2021-01-12 11:09:33
说明:自定义开发的应用
"""
from pyminer2.extensions.extensionlib import BaseExtension, BaseInterface


class Extension(BaseExtension):

    def on_load(self):
        app_toolbar_interface = self.extension_lib.get_interface('applications_toolbar')
        import os
        path = os.path.dirname(__file__)
        app_toolbar_interface.add_process_action('Math&Statistics', 'demo_app',
                                                 os.path.join(path, 'default.png'),
                                                 ['python', '-u', os.path.join(path, 'demo_app.py')])


class Interface(BaseInterface):
    pass
